Subject: [PATCH 00/12] mtd: nand: davinci: stop using pdev->id as chipselect

From: [email-masked] (Boris Brezillon)
Date: Mon, 30 Apr 2018 18:47:51 +0200

On Mon, 30 Apr 2018 18:45:06 +0200
Bartosz Golaszewski <[email-masked]> wrote:

> 2018-04-30 12:09 GMT+02:00 Boris Brezillon <[email-masked]>:
> > Hi Bartosz,
> >
> > On Mon, 30 Apr 2018 10:24:41 +0200
> > Bartosz Golaszewski <[email-masked]> wrote:
> >
> >> From: Bartosz Golaszewski <[email-masked]>
> >>
> >> We have the 'ti,davinci-chipselect' property in the device tree, but
> >> when using platform data the driver silently uses the id field of
> >> struct platform_device as the chipselect. This is confusing and we
> >> almost broke the nand support again recently after converting the
> >> platform to common clock framework (which changed the device id in the
> >> clock lookup - the problem is gone now that we no longer acquire the
> >> clock in the nand driver.
> >>
> >> This series adds a new field to davinci-nand platform data, then makes
> >> all board use it and finally modifies the two drivers that make use of
> >> it.
> >>
> >> Bartosz Golaszewski (12):
> >>   mtd: nand: davinci: store the core chipselect number in platform data
> >
> > Raw NAND related patches (that is, everything that is not onenand or
> > SPI NAND) should use the "mtd: rawnand: " prefix now. Other than that,
> > I'm fine with the patch series, just let me know how you want to have it
> > merged (through the MTD tree or the davinci tree).
> >
> > Thanks,
> >
> > Boris
> 
> I think Sekhar could pick all those patches up for 4.18.

Okay, then I'd need an immutable branch containing these changes.

> 
> Sekhar - do you want me to resend the series with the commit message
> changed as requested by Boris, or can you fix it when applying the
> series?
> 
> Best regards,
> Bartosz Golaszewski